package com.sqx.modules.artificer.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.artificer.entity.ArtificerMassage;
import com.sqx.modules.artificer.entity.MassageType;

public interface MassageTypeService extends IService<MassageType> {

    Result selectArtificerMassageList(Long artificerId,Integer status);

    Result selectMassageTypePage(Integer page,Integer limit,Integer status,String city,Integer sort,Integer authentication,Integer by,String title,Long artificerId,Long userId,Long parentId,Long classifyId);

    Result selectMassageTypeList(Integer status,String city,Integer sort,Integer authentication,Integer by,String title,Long artificerId,Long userId,Long parentId,Long classifyId);

    Result selectMassageTypeChildrenPage(Integer page, Integer limit, Integer status, String city, Integer sort, Integer authentication, Integer by, String title, Long artificerId, Long userId, Long parentId, Long classifyId);

    Result selectMassageTypeById(Long massageTypeId,Long userId);

    Result selectMassageTypeQyPage(Integer page, Integer limit,  String city,  String title);
}